VisualEditor: Using the formatting drop-down scrolls the page to the top (except in Firefox)
Closed, ResolvedPublic

Description

This happened on MediaWiki, he.wiki and en.wiki on Chrome.

Open some article for editing (preferably a long one so the effect is seen)
add some text in the middle or end, mark it and make it a "Heading".

Observed result: The text turns into a heading, but the entire edit section scrolls up to the top of the page. This is especially annoying when the page is long and when the edit is done in the middle.


Version: unspecified
Severity: minor

bzimport set Reference to bz50792.
Mooeypoo created this task.Via LegacyJul 5 2013, 7:06 AM
Mooeypoo added a comment.Via ConduitJul 5 2013, 7:28 AM

I just checked the editor on Firefox 22.0, and it does not scroll there (works as expected). The bug seems to be in Chrome only.

If it helps, that's the UserAgent for my Chrome browser:

Mozilla/5.0 (Windows NT 6.2; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.1453.116 Safari/537.36

Jdforrester-WMF added a comment.Via ConduitJul 5 2013, 6:13 PM

Confirmed in Chrome, Safari and not in Firefox, for whatever reason.

Jdforrester-WMF added a comment.Via ConduitJul 7 2013, 12:32 AM
  • Bug 50860 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJul 9 2013, 8:04 PM

Change 72768 had a related patch set uploaded by Robmoen:
Affordances for MenuWidget to be optionally focusable.

https://gerrit.wikimedia.org/r/72768

gerritbot added a comment.Via ConduitJul 9 2013, 11:44 PM

Change 72768 merged by jenkins-bot:
Affordances for MenuWidget to be optionally focusable.

https://gerrit.wikimedia.org/r/72768

Jdforrester-WMF added a comment.Via ConduitJul 9 2013, 11:57 PM

This is now fixed by the above commit; we'll get it deployed soon. Sorry for the disruption.

Add Comment